=== debian/changelog ===
pure-lv2 (0.2-1) trusty; urgency=low

  * Initial release

 -- Albert Graef <aggraef@gmail.com>  Sun, 14 Sep 2014 20:10:11 +0200
