=== debian/control ===
Source: pure-lv2
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, lv2-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-lv2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LV2 plugin interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. LV2 is the new Linux audio plugin standard which aims to be
 portable and extensible. This package provides a generic LV2 plugin wrapper
 for Pure which can be used to create LV2 plugin modules. The package also
 includes the pure2lv2 shell script which lets you compile plugins written in
 Pure and turn them into complete LV2 bundles.
